/*
Copyright © 2025 NAME HERE <EMAIL ADDRESS>
*/
package cmd

import (
	"git.espin.casa/albert/go-telecom/internal/core"
	"github.com/spf13/cobra"
)

// coreCmd represents the core command
var coreCmd = &cobra.Command{
	Use:   "core",
	Short: "Go-telecom core commands.",
	// A longer description that spans multiple lines and likely contains examples
	// and usage of using your command.
	// You can also use the following for a more detailed description:
	Long: `Go-telecom core service.
This service is used to manage the core functionalities of the Go-Telecom application.
It includes various subcommands to interact with services.`,
	Run: core.Run,
}

func init() {
	rootCmd.AddCommand(coreCmd)

	// Here you will define your flags and configuration settings.

	// Cobra supports Persistent Flags which will work for this command
	// and all subcommands, e.g.:
	// coreCmd.PersistentFlags().String("foo", "", "A help for foo")

	// Cobra supports local flags which will only run when this command
	// is called directly, e.g.:
	// coreCmd.Flags().BoolP("toggle", "t", false, "Help message for toggle")
}
